Skip to main content
`Ctrl`+`K`

# SNESFASGetInjection

Gets the matrix used to calculate the injection from l-1 to the lth level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetInjection(SNES snes, PetscInt level, Mat *mat)

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- level - the level (0 is coarsest) to supply [do not supply 0]

## Output Parameter

- mat - the injection operator

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetInjection()`, `SNESFASGetRestriction()`, `SNESFASGetInterpolation()`, `SNESFASGetRScale()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages